/* Register */
.register {
  padding-bottom: clamp(2rem, 5vw, 3rem);
  position: relative;
}

.register-content {
  display: grid;
  gap: 1.5rem;

  .column:first-of-type {
    padding: 3rem 4.5rem;
    display: grid;
    gap: 0.75rem;
    border-radius: 3rem;
    background-color: var(--white-clr);

    > * {
      max-width: 500px;
      margin-inline: auto;
    }

    h1 {
      max-width: 15ch;
      margin-inline: auto;
      font-weight: var(--fw-900);
      font-size: var(--fs-950);
      line-height: 1;
      color: var(--text-clr-700);
      text-transform: uppercase;
    }

    p {
      color: var(--black-clr);
    }

    @media (width <=600px) {
      padding-inline: 1.125rem;
    }
  }

  @media (width<=600px) {
    .column:last-of-type {
      display: none;
    }
  }

  @media (600px<width <=1024px) {
    grid-template-rows: 320px 1fr;

    .column:last-of-type {
      grid-row: 1;
    }
  }

  @media (width > 1024px) {
    grid-template-columns: minmax(500px, 1fr) 1fr;
  }
}

.register-header {
  > * {
    text-align: center;
  }

  p {
    padding-block: 1.5rem 2.25rem;
    font-weight: var(--fw-500);
    font-size: var(--fs-400);
  }
}

.register-card {
  cursor: pointer;
  width: 100%;
  padding: 1.125rem;
  display: grid;
  grid-template-columns: auto 1fr auto;
  gap: 1.125rem 1.25rem;
  align-items: center;
  border-radius: 1.5rem;
  color: var(--text-clr);
  border: 1px solid var(--white-clr-800);
  background-color: #fcfcff;

  .register-card-img .iconify {
    --_svg-stroke-width-from: 1.7;
    --_svg-stroke-dashoffset-from: 65;

    margin: auto;
    width: 1.625rem;
    height: 1.625rem;
    :is(path, circle) {
      stroke-dasharray: var(--_svg-stroke-dashoffset-from);
      stroke-dashoffset: 1;
      stroke-width: var(--_svg-stroke-width-from);
    }
  }

  &:hover {
    border-color: var(--secondary-clr-900);

    .register-card-img .iconify {
      :is(path, circle) {
        animation: svgAnimation 2s ease-in-out forwards;
      }
    }

    .register-navigate {
      scale: 1.1;
      translate: 20% 0;
    }
  }

  .register-card-description {
    grid-column: 1/-2;
  }

  .register-navigate {
    grid-row: span 2;
  }
}

.register-card-img {
  width: 3.125rem;
  height: 3.125rem;
  aspect-ratio: 1;
  display: grid;
  place-items: center;
  border-radius: 0.625rem;
  border: 1px solid var(--white-clr-800);
  background-color: var(--white-clr);
}

.register-card-title {
  color: #0f0f0f;
  font-family: var(--ff-roboto);
  font-weight: var(--fw-700);
  font-size: 1.25rem;
  line-height: 1;
  text-transform: uppercase;
}

.register-navigate {
  font-size: 2.5rem;
  transition:
    translate 180ms 0.01ms ease-in-out,
    scale 180ms 0.01ms ease-in-out;
}

.register-card-description {
  max-width: 25ch;
  max-width: 35ch;
  font-family: Roboto;
  font-weight: var(--fw-400);
  font-size: var(--fs-400);
  line-height: 1.2;
  letter-spacing: 2%;

  color: #6b6b79;
}

.register-footer {
  margin-top: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 0.25rem;

  font-weight: var(--fw-500);
  font-size: var(--fs-400);
  line-height: 1;

  a {
    font-weight: var(--fw-700);
    color: var(--secondary-clr-900);
    transition: text-decoration 180ms ease;

    &:hover {
      text-decoration: underline;
    }
  }
}

.signin-img {
  height: 100%;
  border: 1px solid #ffffff;
  border-radius: 2.25rem;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: inherit;
  }
}

/* End of Register */
